kr.co.hanwha.hifive.screen.main.setting

## Class MainSettingFragment

- java.lang.Object
- - android.app.Fragment
  - - kr.co.hanwha.hifive.base.BaseFragment
    - - kr.co.hanwha.hifive.screen.main.setting.MainSettingFragment

All Implemented Interfaces:
  android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.view.View.OnCreateContextMenuListener, BaseView<MainSettingContract.Presenter>, MainSettingContract.View

    public class MainSettingFragment
    extends BaseFragment
    implements MainSettingContract.View

MAIN - 관리 탭(4번째)

See Also:
  `Created by sanghoonkwon on 2018. 1. 11..`

### Nested Class Summary

### Nested classes/interfaces inherited from class android.app.Fragment

`android.app.Fragment.InstantiationException, android.app.Fragment.SavedState`

### Field Summary

Fields
`private android.widget.ImageView` `mImageViewProfile`
`private android.widget.LinearLayout` `mLayoutDepartment`
`private android.widget.LinearLayout` `mLayoutPassword`
`private android.widget.LinearLayout` `mLayoutSimplePassword`
`private android.widget.LinearLayout` `mLayoutTab`
`private android.widget.LinearLayout` `mLayoutUnit`
`private android.widget.LinearLayout` `mLayoutUnitContainer`
`private MainSettingPresenter` `mPresenter`
`private android.widget.Switch` `mSwitchAlarm`
`private android.widget.TextView` `mTextViewDepartment`
`private android.widget.TextView` `mTextViewId`
`private android.widget.TextView` `mTextViewName`
`private android.widget.TextView` `mTextViewPosition1`
`private android.widget.TextView` `mTextViewPosition2`
`private android.widget.TextView` `mTextViewTab`
`private android.widget.TextView` `mTextViewUpdate`
`private android.widget.TextView` `mTextViewVersion`
`private android.view.View` `mViewLine1`
`private android.view.View` `mViewLine2`
`(package private) android.view.View.OnClickListener` `onClickListener` View.OnClickListener
`(package private) android.os.Handler` `testHandler` ADMIN
`(package private) int` `testIndex`

### Fields inherited from interface android.content.ComponentCallbacks2

`TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

### Constructor Summary

Constructors
Constructor and Description
`MainSettingFragment()`

### Method Summary

All Methods Instance Methods Concrete Methods
`android.view.View` `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)`
`void` `onResume()`
`void` `setAlarmSetting(boolean isChecked)` 알림 설정
`void` `setDefaultScreen()` 기본 화면
`void` `setMemberInfo(LoginData loginData)` 멤버 기본 정보
`void` `setVersion()` 버전 정보
`private void` `showAdmin()`

### Methods inherited from class kr.co.hanwha.hifive.base.BaseFragment

`onCreate, showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToast, showToast, showToastAlert, showToastAlert, showToastConfirm, showToastConfirm, showToastEmpty, showToastEmpty, showToastImpossible, showToastImpossible`

### Methods inherited from class android.app.Fragment

`dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onSaveInstanceState, onStart, onStop, onTrimMemory, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface kr.co.hanwha.hifive.base.BaseView

`showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToastAlert, showToastConfirm, showToastEmpty, showToastImpossible`

### Field Detail

#### mTextViewName

    private android.widget.TextView mTextViewName

#### mTextViewPosition1

    private android.widget.TextView mTextViewPosition1

#### mViewLine1

    private android.view.View mViewLine1

#### mTextViewId

    private android.widget.TextView mTextViewId

#### mLayoutDepartment

    private android.widget.LinearLayout mLayoutDepartment

#### mTextViewPosition2

    private android.widget.TextView mTextViewPosition2

#### mViewLine2

    private android.view.View mViewLine2

#### mTextViewDepartment

    private android.widget.TextView mTextViewDepartment

#### mImageViewProfile

    private android.widget.ImageView mImageViewProfile

#### mLayoutPassword

    private android.widget.LinearLayout mLayoutPassword

#### mLayoutSimplePassword

    private android.widget.LinearLayout mLayoutSimplePassword

#### mLayoutUnit

    private android.widget.LinearLayout mLayoutUnit

#### mLayoutUnitContainer

    private android.widget.LinearLayout mLayoutUnitContainer

#### mLayoutTab

    private android.widget.LinearLayout mLayoutTab

#### mTextViewTab

    private android.widget.TextView mTextViewTab

#### mSwitchAlarm

    private android.widget.Switch mSwitchAlarm

#### mTextViewVersion

    private android.widget.TextView mTextViewVersion

#### mTextViewUpdate

    private android.widget.TextView mTextViewUpdate

#### mPresenter

    private MainSettingPresenter mPresenter

#### onClickListener

    android.view.View.OnClickListener onClickListener

View.OnClickListener

#### testHandler

    android.os.Handler testHandler

ADMIN

#### testIndex

    int testIndex

### Constructor Detail

#### MainSettingFragment

    public MainSettingFragment()

### Method Detail

#### onCreateView

    @Nullable
    public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                    @Nullable
                                                    android.view.ViewGroup container,
                                                    android.os.Bundle savedInstanceState)

Overrides:
  `onCreateView` in class `android.app.Fragment`

#### onResume

    public void onResume()

Overrides:
  `onResume` in class `android.app.Fragment`

#### setMemberInfo

    public void setMemberInfo(@NonNull
                              LoginData loginData)

Description copied from interface: `MainSettingContract.View`
멤버 기본 정보

Specified by:
  `setMemberInfo` in interface `MainSettingContract.View`
Parameters:
  `loginData` - 로그인시 얻은 정보

#### setDefaultScreen

    public void setDefaultScreen()

Description copied from interface: `MainSettingContract.View`
기본 화면

Specified by:
  `setDefaultScreen` in interface `MainSettingContract.View`

#### setAlarmSetting

    public void setAlarmSetting(boolean isChecked)

Description copied from interface: `MainSettingContract.View`
알림 설정

Specified by:
  `setAlarmSetting` in interface `MainSettingContract.View`

#### setVersion

    public void setVersion()

Description copied from interface: `MainSettingContract.View`
버전 정보

Specified by:
  `setVersion` in interface `MainSettingContract.View`

#### showAdmin

    private void showAdmin()